Access Keys:
Skip to content (Access Key - 0)









Welcome to the Metaswitch Rhino DevPortal

Print this page

Welcome to the Metaswitch Rhino DevPortal - the technical resource for developers creating applications using Metaswitch Rhino and Sentinel products.

Looking for information on how to buy Metaswitch products and services? Check the Metaswitch Corporate site.

Log in / Signup to use all Dev Portal features ...

On the DevPortal, you can find...

  • Metaswitch Discussion forums, monitored by Metaswitch's Sentinel Engineering teams.
  • The Knowledgebase, with FAQs, how-to guides, whitepapers and a getting started guide for developers.

DevPortal also has information on...

  • JAIN SLEE - A Service Logic Execution Environment (SLEE) is a high throughput, low latency event processing application environment. JAIN SLEE is the Java standard for SLEE. The Rhino TAS has 100% compatibility with this standard.

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

DevPortal Blog


Last changed May 03, 2018 09:52 by Richard Brunton
Labels: devportal-news

Java 8u172 is now certified and supported.

We have now certified Rhino and Sentinel VoLTE against Java 8u172 and verified the OOME isuue in Metaspace has been resolved. Please use Java 8u172 or later in your solutions.

Posted at May 3, 2018 by Richard Brunton | 0 comments
Last changed May 03, 2018 09:51 by Richard Brunton
Labels: devportal-news

Java 8 is NOT supported due to a known issue with Java Metaspace handling.

java.lang.OutOfMemoryError: Metaspace

This error occurs in certain configurations of Sentinel VoLTE TAS when VoLTE is being installed.

http://bugs.java.com/bugdatabase/view_bug.do?bug_id=JDK-8169931

This issue has been fixed in Java 9 GA, however Oracle are not providing Long Term Support (LTS) for Java 9.

We will be certifying all products against Java 18. …

Read more…

Posted at October 2, 2017 by Richard Brunton | 0 comments
Last changed Oct 02, 2017 11:08 by Richard Brunton
Labels: devportal-news

The Following suite of products are now available and provide support for ANSI SCCP.

OCSS7 - 2.1.0.1
CGIN - 1.5.4.4
SIS - 2.5.4.7
CGIN Scenario Pack - 1.5.4.2

Posted at October 2, 2017 by Richard Brunton | 0 comments

Adaptavist Theme Builder Powered by Atlassian Confluence